Create Membership

Use this endpoint to create a new membership.

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Request

This endpoint expects an object.
itemNumberstringRequired
Unique identifier for an item.
activationDatedateOptional
The date from which the membership should be active. Setup can dictate and override this date.
companyNamestringOptional
The name of the company associated with the membership.
preassignedCustomerNumberstringOptional
A preassigned customer number for the membership. When there is no customer number, the system will generate one.
documentNostringOptional
External identifier for the sales document.
attributeslist of objectsOptional

Response

This endpoint returns an object.
membershipobject

Membership shape returned by the primary membership endpoints — get by id/number, get members, block/unblock, and create. Extends MembershipEntity with the full timeFrames array. Other membership responses (lifecycle history, lifecycle options, card responses, list) return the base MembershipEntity shape without timeFrames.